Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser
Class ConstantPoolHyperlinkListener

    java.lang.Object
      java.awt.event.MouseAdapter
          org.gjt.jclasslib.browser.ConstantPoolHyperlinkListener

All Implemented Interfaces:
  EventListener, MouseListener

public class ConstantPoolHyperlinkListener
extends MouseAdapter

Listens for mouse clicks and manages linking into the constat pool.

Version:
  $Revision: 1.6 $ $Date: 2003/08/18 08:02:07 $
Author:
  Ingo Kegel

Constructor Summary
`ConstantPoolHyperlinkListener(BrowserServices services, int constantPoolIndex)` Constructor.

Method Summary
`static void` | `link(BrowserServices services, int constantPoolIndex)` Link to a specific constant pool entry.
`void` | `mouseClicked(MouseEvent event)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantPoolHyperlinkListener

    public ConstantPoolHyperlinkListener(BrowserServices services,
                                         int constantPoolIndex)

  Constructor.

Parameters:
  `services` - the browser services
  `constantPoolIndex` - the index of the constant pool to lonk to.

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent event)

### link

    public static void link(BrowserServices services,
                            int constantPoolIndex)

  Link to a specific constant pool entry.

  Parameters:
    `services` - browser services
    `constantPoolIndex` - the index of the constant pool entry

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD